PO4A-GETTEXTIZE(1p)

NAME
po4a-gettextize - konvertiert eine Originaldatei (und ihre Übersetzungen) in eine PO-Datei

ÜBERSICHT
po4a-gettextize -f Fmt -m Master.dok [-l XX.dok] -p XX.po

(XX.po ist die Ausgabe, alles andere sind Eingaben)

BESCHREIBUNG
Das Projektziel von Po4a (PO für alles) ist es, die Übersetzung (und interessanter, die Wartung der Übersetzung) zu vereinfachen, indem die Gettext-Werkzeuge auch für Gebiete verwendet werden, wo diese nicht erwartet werden, wie Dokumentation.

Das Skript po4a-gettextize ist dafür verantwortlich, Dokumentationsdateien in PO-Dateien zu konvertieren. Falls Sie eine neue Übersetzung beginnen, wird po4a-gettextize die übersetzbaren Zeichenketten aus der Dokumentationsdatei auslesen und daraus eine POT-Datei erstellen.

Falls Sie bereits über eine übersetzte Datei verfügen, wird po4a-gettextize versuchen, die darin enthaltenen Übersetzungen herauszulösen und sie an die richtige Stelle in der PO-Datei zu setzen. Beachten Sie, dass wenig Intelligenz bei diesem Prozess eingesetzt wird: es wird angenommen, dass die N-te Zeichenkette in der übersetzten Datei der N-ten Zeichenkette im Original entspricht. Falls das nicht stimmt, versagt das Skript. Daher ist es sehr wichtig, dass beide Dateien über die gleiche Struktur verfügen.

Allerdings wird po4a-gettextize den Fehlschlag diagnostizieren, indem fehlende Synchronisierung zwischen den Dateien erkannt und beim Auftreten berichtet werden. In diesem Fall sollten Sie die Dateien händisch bearbeiten, um die berichteten Unterschiede zu beheben. Selbst falls keine Fehler berichtet wurden, sollten Sie die erstellte PO-Datei sorgfältig prüfen, ob sie korrekt ist (d.h. das jede Msgstr die Übersetzung der zugehörigen Msgid ist, und nicht der vorherigen oder folgenden).

Selbst falls das Skript es schafft, die Aufgabe ohne offensichtliche Fehler zu erledigen, markiert es immer noch alle herausgelösten Übersetzungen als unscharf (»fuzzy«), um sicherzustellen, dass die Übersetzer sie anschauen und verbleibende Fehler erkennen.

Falls das Master-Dokument Zeichen außerhalb von ASCII enthält, wird die neuerstellte PO-Datei UTF-8-kodiert sein, um Zeichen, die nicht Standard sind, kulturunabhängig zu erlauben. Andernfalls (falls das Master-Dokument komplett ASCII-kodiert ist) wird die erstellte PO-Datei die Kodierung des übersetzten Eingabedokuments verwenden.

OPTIONEN

-f, --format
    Format der Dokumentation, mit der Sie arbeiten möchten. Verwenden Sie die Option --help-format, um eine Liste der verfügbaren Formate zu erhalten.

-m, --master
    Datei, die das zu übersetzende Master-Dokument enthält. Sie können diese Option mehrfach verwenden, falls Sie mehrere Dokumente mit Gettext behandeln möchten.

-M, --master-charset
    Zeichensatz der Datei, die das zu übersetzende Dokument enthält.

-l, --localized
    Datei, die das lokalisierte (übersetzte) Dokument enthält. Falls Sie mehrere Master-Dateien angeben, könnte es sinnvoll sein, mehrere lokalisierte Dateien durch mehrfache Verwendung dieser Option anzugeben.

-L, --localized-charset
    Zeichensatz der Datei, die das lokalisierte Dokument enthält.

-p, --po
    Datei, in die der Nachrichtenkatalog geschrieben werden soll. Falls keine angegeben ist, wird der Nachrichtenkatalog auf die Standardausgabe geschrieben.

-o, --option
    Extraoption(en), die an die Formaterweiterung übergeben werden soll. Geben Sie jede Option im Format »Name=Wert« an. Lesen Sie die Dokumentation jeder Erweiterung für weitere Informationen über die gültigen Optionen und ihre Bedeutungen.

-h, --help
    zeigt eine kurze Hilfemeldung an

--help-format
    die von Po4a verstandenen Dokumentationsformate auflisten

-V, --version
    zeigt die Version des Skripts und beendet sich

-v, --verbose
    Erhöhen der Ausführlichkeit des Programms

-d, --debug
    Fehlersuch- (Debug-)Informationen ausgeben

--msgid-bugs-address e-mail@adresse
    Setzt die E-Mail-Adresse, an die Fehler in den Meldungen (msgid) berichtet werden sollen. Standardmäßig haben die erstellten POT-Dateien keine »Report-Msgid-Bugs-To«-Felder.

--copyright-holder Zeichenkette
    Setzt den Namen des Urhebers in den Kopfzeilen der POT-Datei. Standardmäßig ist dies »Free Software Foundation, Inc.«.

--package-name Zeichenkette
    Setzt den Paketnamen für die POT-Kopfzeilen. Standardmäßig »PACKAGE«.

--package-version Zeichenkette
    Setzt die Paketversion für die POT-Kopfzeilen. Standardmäßig »VERSION«.

SIEHE AUCH
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTOREN
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

URHEBERRECHT UND LIZENZ
Copyright 2002-2012 SPI, Inc.

Dieses Programm ist freie Software; Sie können es unter den Bedingungen der GPL (siehe die Datei COPYING) vertreiben und/oder verändern.